Authorization: Bearer ********************{
"page": 1,
"limit": 10,
"sortField": "",
"sortDirection": "",
"journalTypeIds": [
70000
],
"type": "",
"datetime": {
"operator": {
"operator": "AFTER"
},
"value": {
"value": [
"2020-01-01"
]
}
},
"entityAccountId": "",
"accountType": "",
"gainLossHash": "",
"amount": {
"operator": "EQ",
"value": [
"100",
"200"
]
},
"amountFC": {
"operator": "EQ",
"value": [
"100",
"200"
]
},
"tradeHash": "0xaaa",
"originalType": "buy",
"accountingPeriodCode": [
"string"
]
}curl --location --globoff 'https://web-api.blockindex.com/entity/{{entity_id}}/trade' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"page": 1,
"limit": 10,
"sortField": "",
"sortDirection": "",
"journalTypeIds": [
70000
],
"type": "",
"datetime": {
"operator": {
"operator": "AFTER"
},
"value": {
"value": [
"2020-01-01"
]
}
},
"entityAccountId": "",
"accountType": "",
"gainLossHash": "",
"amount": {
"operator": "EQ",
"value": [
"100",
"200"
]
},
"amountFC": {
"operator": "EQ",
"value": [
"100",
"200"
]
},
"tradeHash": "0xaaa",
"originalType": "buy",
"accountingPeriodCode": [
"string"
]
}'{
"status": "success",
"requestId": "ed458995-3eb1-48c9-90b3-1e6f4d57ab82",
"data": {
"totalCount": 0,
"filteredCount": 0,
"total": {
"counterAmountFC": "string",
"feeAmountFC": "string"
},
"list": [
{
"tradeId": "string",
"tradeHash": "string",
"entityId": "string",
"sourceId": "string",
"type": "FUTURE_OPEN",
"datetime": "string",
"assetId": "string",
"positionSide": "string",
"entityAccountId": "string",
"platformId": "string",
"platformType": "CHAIN",
"baseAmount": "string",
"baseAmountFC": "string",
"counterCurrency": "string",
"counterAmount": "string",
"counterAmountFC": "string",
"feeCurrency": "string",
"feeAmount": "string",
"feeAmountFC": "string",
"memo": "string",
"journalTypeId": "string",
"journalActivityId": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"tradeRollId": "string",
"originalType": "string",
"isAggregation": "false",
"originalTradeCount": "1"
}
]
}
}